curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/start/{processName} \
--header 'Content-Type: application/json' \
--cookie JSESSIONID= \
--data '
{
"parameters": {}
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/start/{processName}"
payload = { "parameters": {} }
headers = {
"cookie": "JSESSIONID=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'JSESSIONID=', 'Content-Type': 'application/json'},
body: JSON.stringify({parameters: {}})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/start/{processName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/start/{processName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'parameters' => [
]
]),
CURLOPT_COOKIE => "JSESSIONID=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/start/{processName}"
payload := strings.NewReader("{\n \"parameters\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "JSESSIONID=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/start/{processName}")
.header("cookie", "JSESSIONID=")
.header("Content-Type", "application/json")
.body("{\n \"parameters\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/start/{processName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'JSESSIONID='
request["Content-Type"] = 'application/json'
request.body = "{\n \"parameters\": {}\n}"
response = http.request(request)
puts response.read_body{
"displayMessage": "Enter User Inputs",
"parameters": {},
"processId": "640b4b3a-dbaf-4b73-abfb-979475aee0bb",
"processName": "socialFederation.associateSocialMedia_v1.0",
"stepName": "PasswordPrompt",
"lastStep": true,
"output": {},
"runtimeId": 1,
"userId": 1,
"userAuthenticated": true
}{
"processId": "640b4b3a-dbaf-4b73-abfb-979475aee0bb",
"processName": "socialFederation.associateSocialMedia_v1.0",
"stepName": "<string>",
"lastFailedStepAction": {
"parameters": {},
"processId": "640b4b3a-dbaf-4b73-abfb-979475aee0bb"
},
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "invalid_user_input",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"ROLE_ANONYMOUS"
],
"details": {}
}
],
"stackTrace": "<string>"
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "ulm-process-not-registered",
"message": "Process not found"
}
]
}Starts a Process
This API starts a Connect Process specified by the processName. If the call returns a 200, this means that the process begins and completes after this call. If the process returns a 202, this means that it is possible to resume/continue the process using a subsequent API call. Subsequent calls must the proccessId string contained the in the payload of the previous call in order to link the steps to a single ongoing process.
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/start/{processName} \
--header 'Content-Type: application/json' \
--cookie JSESSIONID= \
--data '
{
"parameters": {}
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/start/{processName}"
payload = { "parameters": {} }
headers = {
"cookie": "JSESSIONID=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'JSESSIONID=', 'Content-Type': 'application/json'},
body: JSON.stringify({parameters: {}})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/start/{processName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/start/{processName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'parameters' => [
]
]),
CURLOPT_COOKIE => "JSESSIONID=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/start/{processName}"
payload := strings.NewReader("{\n \"parameters\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "JSESSIONID=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/start/{processName}")
.header("cookie", "JSESSIONID=")
.header("Content-Type", "application/json")
.body("{\n \"parameters\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/process/start/{processName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'JSESSIONID='
request["Content-Type"] = 'application/json'
request.body = "{\n \"parameters\": {}\n}"
response = http.request(request)
puts response.read_body{
"displayMessage": "Enter User Inputs",
"parameters": {},
"processId": "640b4b3a-dbaf-4b73-abfb-979475aee0bb",
"processName": "socialFederation.associateSocialMedia_v1.0",
"stepName": "PasswordPrompt",
"lastStep": true,
"output": {},
"runtimeId": 1,
"userId": 1,
"userAuthenticated": true
}{
"processId": "640b4b3a-dbaf-4b73-abfb-979475aee0bb",
"processName": "socialFederation.associateSocialMedia_v1.0",
"stepName": "<string>",
"lastFailedStepAction": {
"parameters": {},
"processId": "640b4b3a-dbaf-4b73-abfb-979475aee0bb"
},
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "invalid_user_input",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"ROLE_ANONYMOUS"
],
"details": {}
}
],
"stackTrace": "<string>"
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "ulm-process-not-registered",
"message": "Process not found"
}
]
}Authorizations
Path Parameters
Name of the Connect process to initiate
Body
stepAction
Show child attributes
Show child attributes
Response
Ok - Process started.
The API returns information about parameters that are required by the next process step (only if lastStep is false). Optionally information from the previous is returned in 'output'. For AuthenticationStepAction actions, it returns authenticated context information (userId, runtimeId, userAuthenticated). For AdminUser authentication actions the API also returns adminUser.
Optional display message
"Enter User Inputs"
User input parameters
Show child attributes
Show child attributes
The process identifier that links multiple API calls together. If a process halts because it requires additional data, then it assigns a process ID that can be referenced in subsequent calls in order to continue and complete the entire process.
"640b4b3a-dbaf-4b73-abfb-979475aee0bb"
The name of the process which is being executed. This value is intended to be consumed by User Interfaces which may not always be aware of the current process being executed, owing to factors such as a third-party redirect in the middle of the process destroying the UI's context.
"socialFederation.associateSocialMedia_v1.0"
The step name
"PasswordPrompt"
Information returned from previous step.
Show child attributes
Show child attributes
The unique ID of an entity.
1
The unique ID of an entity.
1
For AuthenticationStepAction only.

